@import model._

@import model.forms.EditPlayerForm
@(player: PlayerWithTypes, allTeams: Seq[Team], allBTs: Seq[BattingType], allPTs: Seq[PitchingType], allPBs: Seq[PitchingBonus], form: Form[EditPlayerForm])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html>
    <head>
    @views.html.templates._common_headers("Edit Player")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Edit @player.player.fullName</h3>
            <a href="@routes.AdminController.showTeamAssignmentForm(player.player.id)" class="btn btn-warning">Edit Team Assignments</a>
            <hr />
            @if(form.hasGlobalErrors) {
                @for(error <- form.globalErrors) {
                    @for(msg <- error.messages) {
                        <p class="text-danger">@msg</p>
                    }
                }
            }
            @helper.form(action = routes.AdminController.submitEditPlayerForm()) {
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("id")) { (id, name, value, args) =>
                        <label for="@id">ID</label>
                        <input name="@name" id="@id" value="@player.player.id" readonly="readonly" class="form-control" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("firstName")) { (id, name, value, args) =>
                        <label for="@name">First Name</label>
                        <input name="@name" id="@id" value="@value.getOrElse(player.player.firstName.getOrElse(""))" class="form-control" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("lastName")) { (id, name, value, args) =>
                        <label for="@name">Last Name</label>
                        <input name="@name" id="@id" value="@value.getOrElse(player.player.lastName)" class="form-control" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("rightHanded")) { (id, name, value, args) =>
                        <label for="@id">Hand</label>
                        <select class="custom-select" id="@id" name="@name">
                            <option value="true">Right</option>
                            @if(value.contains("false") || (value.isEmpty && !player.player.righthanded)) {
                                <option value="false" selected="selected">Left</option>
                            } else {
                                <option value="false">Left</option>
                            }
                        </select>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("battingType")) { (id, name, value, args) =>
                        <label for="@id">Batting Type</label>
                        <select id="@id" name="@name" class="custom-select">
                        @for(bt <- allBTs) {
                            @if(value.contains(bt.shortcode) || (value.isEmpty && player.player.battingType == bt.id)) {
                                <option value="@bt.shortcode" selected="selected">@bt.shortcode (@bt.name)</option>
                            } else {
                                <option value="@bt.shortcode">@bt.shortcode (@bt.name)</option>
                            }
                        }
                        </select>
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("pitchingType")) { (id, name, value, args) =>
                        <label for="@id">Pitching Type</label>
                        <select id="@id" name="@name" class="custom-select">
                            <option value="">None</option>
                            @for(pt <- allPTs) {
                                @if(value.contains(pt.shortcode) || (value.isEmpty && player.player.pitchingType.contains(pt.id))) {
                                    <option value="@pt.shortcode" selected="selected">@pt.shortcode (@pt.name)</option>
                                } else {
                                    <option value="@pt.shortcode">@pt.shortcode (@pt.name)</option>
                                }
                            }
                        </select>
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("pitchingBonus")) { (id, name, value, args) =>
                        <label for="@id">Pitching Bonus</label>
                        <select id="@id" name="@name" class="custom-select">
                            <option value="">None</option>
                            @for(pb <- allPBs) {
                                @if(value.contains(pb.shortcode) || (value.isEmpty && player.player.pitchingBonus.contains(pb.id))) {
                                    <option value="@pb.shortcode" selected="selected">@pb.shortcode (@pb.name)</option>
                                } else {
                                    <option value="@pb.shortcode">@pb.shortcode (@pb.name)</option>
                                }
                            }
                        </select>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("positionPrimary")) { (id, name, value, args) =>
                        <label for="@id">Primary Position</label>
                        <input id="@id" class="form-control" name="@name" value="@value.getOrElse(player.player.positionPrimary)" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("positionSecondary")) { (id, name, value, args) =>
                        <label for="@id">Secondary Position</label>
                        <input id="@id" class="form-control" name="@name" value="@value.getOrElse(player.player.positionSecondary.getOrElse(""))" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("positionTertiary")) { (id, name, value, args) =>
                        <label for="@id">Tertiary Position</label>
                        <input id="@id" class="form-control" name="@name" value="@value.getOrElse(player.player.positionTertiary.getOrElse(""))" />
                    }
                    </div>
                </div>
                <div class="row">
                    <button class="btn btn-warning my-3" type="submit">Submit</button>
                </div>
            }
        </div>
    </body>
</html>
